Bug 1003198 - Printing to file in Firefox fails unless the filename or the target directory are modified
Printing to file in Firefox fails unless the filename or the target directory...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 13:55 EDT by Ilja Sekler
Modified: 2015-01-12 15:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 15:43:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilja Sekler 2013-08-31 13:55:02 EDT
Printing to a file from a gtk2 Firefox build doesn't generate any file unless either the filename or the folder where the output should go are modified.


gtk2-2.24.19-3.fc19.x86_64
firefox-23.0.1-1.fc19.x86_64 (happens with the current Firefox trunk as well)


How reproducible: always.


Steps to Reproduce:
1. Load a web page, open the print dialog, select "print to file".
2. Press the "Print" button.
3. Repeat the step 1.
4. Modify either the filename (e.g. to "mozilla-1.pdf") or the directory (e.g. from $HOME to $HOME/Documents) or both.
5. Repeat the step 3.

Actual results:

No file is created after the step 2, but only one of ~/mozilla-1.pdf, ~/Documents/mozilla.pdf or ~/Documents/mozilla-1.pdf, depending on the exact actions in the Step 4.


Additional info:

Choosing a different directory and then choosing back the original directory in the dropdown list enables printing to a file too. gtk3 builds of the current Firefox trunk (yea :-)) are not affected, this makes gtk2 as in Fedora a probable culprit (the issue doesn't exist on Ubuntu 12.04, which uses an older version of gtk+2.0: 2.24.10).
Comment 1 Ilja Sekler 2013-08-31 13:57:16 EDT
Err, in STR "5. Repeat the step 3" should be "5. Repeat the step 2".

Sorry for bugspam.
Comment 2 Trevor Cordes 2013-12-18 05:58:51 EST
Confirmed.  This bug seems to be filed against Firefox (probably because it is the most common), but it affects everything that uses that print dialog box.  I found it affects claws-mail, which presents the exact same dialog.

Our hunch here is also that it is a GTK bug.

It affects me on:
claws-mail-3.9.2-7.fc19.i686
firefox-26.0-2.fc19.i686
gtk2-2.24.22-2.fc19.i686

For reference, but not terribly useful because this isn't a firefox bug, see mozilla bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=894966
Comment 3 gregory 2014-08-04 10:36:43 EDT
I see this problem with PDF file format too (on Fedora 20):
gtk2-2.24.22-2.fc20.x86_64
firefox-31.0-1.fc20.x86_64
Mozilla Firefox 31.0
Interestingly enough, the Print to File works fine if Postscript is chosen as the format (which may be related to this being rather an issue with GTK2). However, in this case the name of the file to write to is not memorised/saved and when printing again only .ps appears in the name field of the Print -> General -> Print to File menu.
Comment 4 Fedora End Of Life 2015-01-09 14:40:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Trevor Cordes 2015-01-10 06:47:25 EST
This appears fixed in F21.  It was never fixed in 19.  Don't know about F20.  But I tried very hard and could not reproduce this bug in F21, so I would mark this as resolved upstream.
Comment 6 Ilja Sekler 2015-01-12 15:43:29 EST
(In reply to Trevor Cordes from comment #5)
> This appears fixed in F21.  It was never fixed in 19.  Don't know about F20.

This is fixed in F20 as well, presumably by <https://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=60189143a4097c615f9cda0dbec2cd48b4eca77d> from <https://bugzilla.gnome.org/show_bug.cgi?id=711177>. gtk2-2.24.24 is the first gtk2 release containing the fix.

Note You need to log in before you can comment on or make changes to this bug.